package co.jp.mamol.myapp.form;

import java.util.List;

import co.jp.mamol.myapp.model.CategoryModel;
import co.jp.mamol.myapp.model.SizaiModel;

public class BuyRequestForm {
	
	//M0002
	//開始日付
	private String startDate;
	
	//終了日付
	private String endDate;
	
	//資材リスト
	private List<SizaiModel> sizaiList;
	
	//撤回対象ID
	private int deleteById;
	
	//M0001,M0003
	//資材DTO
	private SizaiModel sizai;
	
	//カテゴリリスト
	private List<CategoryModel> categoryModelList;
	
	//対象資材ID(M0003)
	private int targeId;
	
	//変更可否フラグ(M0003)
	private boolean modifyFlag;

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public List<SizaiModel> getSizaiList() {
		return sizaiList;
	}

	public void setSizaiList(List<SizaiModel> sizaiList) {
		this.sizaiList = sizaiList;
	}

	public int getDeleteById() {
		return deleteById;
	}

	public void setDeleteById(int deleteById) {
		this.deleteById = deleteById;
	}

	public SizaiModel getSizai() {
		return sizai;
	}

	public void setSizai(SizaiModel sizai) {
		this.sizai = sizai;
	}

	public List<CategoryModel> getCategoryModelList() {
		return categoryModelList;
	}

	public void setCategoryModelList(List<CategoryModel> categoryModelList) {
		this.categoryModelList = categoryModelList;
	}

	public int getTargeId() {
		return targeId;
	}

	public void setTargeId(int targeId) {
		this.targeId = targeId;
	}

	public boolean isModifyFlag() {
		return modifyFlag;
	}

	public void setModifyFlag(boolean modifyFlag) {
		this.modifyFlag = modifyFlag;
	}
}